- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# HTTP_Handler Class Reference

`#include <HTTP_Handler.h>`

Inheritance diagram for HTTP_Handler:

[legend]
Collaboration diagram for HTTP_Handler:

[legend]
List of all members.

## Public Member Functions
| HTTP_Handler (void)
| Null constructor, insures that it works properly with Connector.
| HTTP_Handler (ACE_Message_Block *mb, ACE_TCHAR *filename)
| Always use this constructor to make HTTP_Handlers.
size_t | byte_count (void)
| returns the number of bytes read/written in the last operation.
virtual int | open (void *=0)
| Activate this instance of the <HTTP_Handler>.
virtual int | close (u_long flags=0)
| Close down the Blob.
| ~HTTP_Handler (void)
## Protected Types
enum | { MAX_HEADER_SIZE = 2048, MTU = BUFSIZ }
## Protected Member Functions
virtual int | send_request (void)
virtual int | receive_reply (void)
## Protected Attributes
ACE_Message_Block * | mb_
ACE_TCHAR * | filename_
size_t | bytecount_

## Detailed Description

class to retrieve data via HTTP

## Member Enumeration Documentation

anonymous enum`[protected]`

Enumerator:

  MAX_HEADER_SIZE | The handler assumes that the first 2048 bytes of a server response contains the header
  MTU | set the MAX_TRANSMISSION_UNIT (MTU) = BUFSIZ as defined by OS

## Constructor & Destructor Documentation

HTTP_Handler::HTTP_Handler | ( | void |  | ) |

Null constructor, insures that it works properly with Connector.

HTTP_Handler::HTTP_Handler | ( | ACE_Message_Block * | mb,
|  | ACE_TCHAR * | filename |
| ) |  |  |

Always use this constructor to make HTTP_Handlers.

HTTP_Handler::~HTTP_Handler | ( | void |  | ) |

## Member Function Documentation

size_t HTTP_Handler::byte_count | ( | void |  | ) |

returns the number of bytes read/written in the last operation.

int HTTP_Handler::close | ( | u_long | flags = `0` | ) | `[virtual]`

Close down the Blob.

Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

int HTTP_Handler::open | ( | void * | = `0` | ) | `[virtual]`

Activate this instance of the <HTTP_Handler>.

Reimplemented from ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH >.

int HTTP_Handler::receive_reply | ( | void |  | ) | `[protected, virtual]`

Reimplemented in HTTP_Reader.

int HTTP_Handler::send_request | ( | void |  | ) | `[protected, virtual]`

Reimplemented in HTTP_Reader.

## Member Data Documentation

size_t HTTP_Handler::bytecount_`[protected]`

ACE_TCHAR* HTTP_Handler::filename_`[protected]`

ACE_Message_Block* HTTP_Handler::mb_`[protected]`

The documentation for this class was generated from the following files:

- HTTP_Handler.h
- HTTP_Handler.cpp